import '../../stencil.core';
import '../../stencil.core';
import '../../stencil.core';
import { EventEmitter } from '../../stencil.core';
import { PermissionsService } from "../../lib/index";
export declare class Permission {
    roles: string[];
    crudArray: any[];
    displayDefault: string;
    permissions: PermissionsService;
    el: HTMLElement;
    state: {
        create: boolean;
        read: boolean;
        update: boolean;
        delete: boolean;
        execute: boolean;
    };
    rolesOnly: string;
    rolesExcept: string;
    crud: string;
    read: boolean;
    change: EventEmitter;
    constructor();
    componentDidLoad(): void;
    componentDidUpdate(): void;
    getCrud(): {
        create: boolean;
        read: boolean;
        update: boolean;
        delete: boolean;
        execute: boolean;
    };
    setCrud(create: boolean, read: boolean, update: boolean, del: boolean, execute?: boolean): void;
    setStyles(): void;
    render(): JSX.Element;
}
